
link:
  inputs:
    - assemble:
       source: startup_a9.asm
       machine: arm
    - compile:
       sources: [kernel.c3, syscall.c3, schedule.c3, 'arch/vexpressA9.c3', io.c3]
       includes: [memory.c3, process.c3]
       machine: arm
    - compile:
       sources: [memory.c3, process.c3]
       includes: [kernel.c3, syscall.c3, schedule.c3, 'arch/vexpressA9.c3', io.c3]
       machine: arm
  layout:
     code: 0x60010000
     data: 0x60020000
  output: kernel_arm.bin

